Call-backs

## Functions

int | lightify_set_socket_fn (struct lightify_ctx *ctx, write_to_socket_fn fpw, read_from_socket_fn fpr)

## Detailed Description

## Function Documentation

int lightify_set_socket_fn | ( | struct lightify_ctx * | ctx,
|  | write_to_socket_fn | fpw,
|  | read_from_socket_fn | fpr
| ) |  |

Setup callbacks for custom socket I/O

This function can be used to override default socket I/O, eg if you want to roll your own.

If one of the pointers are NULL, default handling will be reinstated, which is basically unix I/O using read(2) and write(2). See write_to_socket() and read_from_socket() for the implementation.

Parameters

Definition at line 430 of file context.c.